=== modified file 'BRANCH.TODO'
--- BRANCH.TODO	2008-09-06 19:48:20 +0000
+++ BRANCH.TODO	2008-09-10 21:11:09 +0000
@@ -2,3 +2,11 @@
 # landing. There is a test to ensure it is empty in trunk. If there is
 # stuff still here when you are ready to land, the items should probably
 # be converted to bugs so they can be scheduled.
+
+- WARN people that they will have to add an exception every time they
+navigate to a new sub-domain.
+
+- Add "a2enmod ssl" to rocketfuel-setup
+
+- librarian is still on HTTP.  is there any reason for moving it to HTTPS?
+  in production it's on HTTP, btw.

=== modified file 'Makefile'
--- Makefile	2008-09-04 15:06:25 +0000
+++ Makefile	2008-09-10 21:11:09 +0000
@@ -261,13 +261,17 @@
 
 install: reload-apache
 
-/etc/apache2/sites-available/local-launchpad: configs/development/local-launchpad-apache
-	cp configs/development/local-launchpad-apache $@
-
-/etc/apache2/sites-enabled/local-launchpad: /etc/apache2/sites-available/local-launchpad
+copy-certificates:
+	cp configs/development/launchpad.crt /etc/apache2/ssl/
+	cp configs/development/launchpad.key /etc/apache2/ssl/
+
+copy-apache-config:
+	cp configs/development/local-launchpad-apache /etc/apache2/sites-available/local-launchpad
+
+enable-apache-launchpad: copy-apache-config copy-certificates
 	a2ensite local-launchpad
 
-reload-apache: /etc/apache2/sites-enabled/local-launchpad
+reload-apache: enable-apache-launchpad
 	/etc/init.d/apache2 reload
 
 static:

=== modified file 'configs/development/launchpad-lazr.conf'
--- configs/development/launchpad-lazr.conf	2008-08-31 04:25:42 +0000
+++ configs/development/launchpad-lazr.conf	2008-09-10 21:11:09 +0000
@@ -174,7 +174,7 @@
 default_sender_name: Local Root
 
 [vhosts]
-use_https: False
+use_https: True
 
 [vhost.mainsite]
 hostname: launchpad.dev

=== added file 'configs/development/launchpad.crt'
--- configs/development/launchpad.crt	1970-01-01 00:00:00 +0000
+++ configs/development/launchpad.crt	2008-09-10 21:11:09 +0000
@@ -0,0 +1,29 @@
+-----BEGIN CERTIFICATE-----
+MIIFBjCCAu4CCQDEoKkkDhSIgTANBgkqhkiG9w0BAQUFADBFMQswCQYDVQQGEwJC
+UjETMBEGA1UECBMKU29tZS1TdGF0ZTEhMB8GA1UEChMYSW50ZXJuZXQgV2lkZ2l0
+cyBQdHkgTHRkMB4XDTA4MDkwMTE5MDkyM1oXDTE2MTExODE5MDkyM1owRTELMAkG
+A1UEBhMCQlIxEzARBgNVBAgTClNvbWUtU3RhdGUxITAfBgNVBAoTGEludGVybmV0
+IFdpZGdpdHMgUHR5IEx0ZDCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIB
+AM34f+PQiY284nrXd5FhWtMFytRPulklYW7CAvW4TWZeyqcl5Vg+eOal7NsoPwRK
+hAulafr4v4Jn0u4cNRmd/angswpsiha6CnNlGYXVkUQ9ASQfslPMEQH/6kQgpVbA
+EE/9BjfLsxCgngd9H++mmSXDLalvELzVIXvahlBkXvaV495XAOHeUJ7tY4EZ4H4m
+8mXd2eUQm5Tj+YTU5B6e3xGJSP099RNYl0z/v+2+edWS0USE/A6Sr+tz52xLdHBu
+Tjs1ZGf66eQQZPXq+tfiBHI8euavuOOYRHCXdMEH8HJdoA+MdRxrxG1OFr7/05YL
+dU2MZGX4JLS7PxkdLsgx3quoavzeI36dt7crAyAqj8c71WWYy8DsbLw+c7y53jpD
+/joWd8KWU6owfZx0Kj718KdwMmTm0xMw7WbRUurjNYSCyqfRja/DYH4nPdwWggox
+sGWsLWkTufpk4WUMVP+ab8g9ylmxJiZtxCDnWQQSlbmGmtZUN2AY0m8UkcXCW7i/
+YbX6Cc9v8e3B10C/F8cIsUPDh7sfXLrwyCN+NaQlcf3UEEX8MAk7lPbXkncgCN6m
+7kqDdu2xoBivsgJDF0f+gcNJsHbt6dtfMRAxK7N4emBrCFiSa9rCPXJpNtYEuGQe
+tYHOIy7vX/oJB1R1xmZOmbiXhQkIvGBNYGTgna+TeIPRAgMBAAEwDQYJKoZIhvcN
+AQEFBQADggIBAIXwbeYwERKvORgXuxBbmzD/KL/3wzN34qofkOfKYigzFPRcb12P
+iMKit/QRmhSxgTeRZ1KRWsvX7w7zmEkctzRzrSeta5j9o4aEfVTYvoB5BtLfoboY
+4K7FhbVfRWGePxGAYcqBrGQqAATvS6eMYuOypC8q/NYbIRvHXugLEXeFdpSD257j
+Sds2TEdQFyHyyjgT1fMWONo+phuys5dOx1imBkgif982gqmrnpJlQZBNysVIi0wk
+aKQ4ShH6GPBEDBhTJUG4qbV5m4n4WboClvtDuIYitkVvJYSCTZpdULH/1+4sAbFD
+99mXWqbOInvnTmKSK1Kq7ljDCclSMSqsPI2So/dGuig8MghGfEa7uAQ75G8CB37L
+atTcxhboTfaKLjIKZEu5YktylTFAlXp/Ceh78PUpHbLaaeMm6+Kj1uTknYnMT9uQ
+MuC4B0eBQg3ixLcqjrpnsOGVthl8SgIHHX8GODOjVQUUQJlzFZXyPPpEtRMuWEly
+/oNSAOcF8DUw0EQzpwm3QdaHdkTNe8qZgcDhJ+6bABiS7QY0FacXmbIPwfzPN+lb
+/ocl+UcNe7xl6xXLwVWlLZ/pXilm0rXPJPuxyV8BET+14k3VYDPe/NtykK2c1W4H
+a+Ucp4C/hxZV/aUc4GLwnROZvidqbJuI1weE+qaevi7u6hUmcRrdvty1
+-----END CERTIFICATE-----

=== added file 'configs/development/launchpad.key'
--- configs/development/launchpad.key	1970-01-01 00:00:00 +0000
+++ configs/development/launchpad.key	2008-09-10 21:11:09 +0000
@@ -0,0 +1,51 @@
+-----BEGIN RSA PRIVATE KEY-----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-----END RSA PRIVATE KEY-----

=== modified file 'configs/development/local-launchpad-apache'
--- configs/development/local-launchpad-apache	2008-05-01 21:57:51 +0000
+++ configs/development/local-launchpad-apache	2008-09-10 21:11:09 +0000
@@ -69,7 +69,7 @@
   </Location>
 </VirtualHost>
 
-<VirtualHost 127.0.0.88:80>
+<VirtualHost 127.0.0.88:443>
   ServerName launchpad.dev
   ServerAlias *.launchpad.dev
   ServerAlias shipit.edubuntu.dev
@@ -79,6 +79,10 @@
     Order deny,allow
     Allow from 127.0.0.0/255.0.0.0
   </Proxy>
+  SSLEngine On
+  SSLCertificateFile /etc/apache2/ssl/launchpad.crt
+  SSLCertificateKeyFile /etc/apache2/ssl/launchpad.key 
+
   ProxyPreserveHost on
 
   ProxyPass / http://localhost:8086/ retry=1

=== modified file 'utilities/rocketfuel-setup'
--- utilities/rocketfuel-setup	2008-08-25 18:45:08 +0000
+++ utilities/rocketfuel-setup	2008-09-10 21:11:09 +0000
@@ -259,6 +259,12 @@
   exit 1
 fi
 
+sudo a2enmod ssl > /dev/null
+if [ $? -ne 0 ]; then
+  echo "ERROR: Unable to enable ssl module in Apache2"
+  exit 1
+fi
+
 
 echo "Setting up devpad repository..."
 ssh devpad.canonical.com /code/rocketfuel-built/launchpad/utilities/devpad-setup

